Subject: Re: t9001 failures on 32-bit Linux?

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sun, 10 Dec 2017 22:14:54 +0100

On Sun, Dec 10 2017, Ramsay Jones jotted:

> On 10/12/17 20:33, Ævar Arnfjörð Bjarmason wrote:
>> On Sun, Dec 10, 2017 at 8:58 PM, Ramsay Jones
>> <[email-masked]> wrote:
>>> I noticed the revert of the 'ab/simplify-perl-makefile' branch on
>>> top of 'pu'. So, I fired up my 32-bit Linux and attempted to see
>>> if I could debug this t9001 test failure.
>>>
>>> Unfortunately, I could not get it to fail. :(
>>>
>>> Both of the 'pu' (@77e921d77d) and 'pu~1' (@cfef1ebefd) builds pass
>>> the full test-suite and, likewise, running t9001 in a loop for a
>>> count of 100 (about 45 minutes run-time each).
>>>
>>> [If it makes any difference, I don't have sendmail installed (no
>>> /usr/sbin/sendmail or /usr/lib/sendmail), or any sendmail in my
>>> $PATH.]
>>>
>>> Sorry I couldn't help with this! :(
>>
>> It's a bug in my patch, I'll follow-up with a patch once I figure out
>> what it is, but for now I wanted to say it's my bad.
>>
>> That this is failing has nothing to do with 32bit per say, but that
>> system doesn't have Error.pm installed, so we fall back on our own
>> copy, there's some bug in the new Error.pm fallback logic I
>> introduced.
>
> Ah, OK, that makes sense.

Updated patch sent just now as <[email-masked]>:
https://public-inbox.org/git/[email-masked]/